Bug 20106 - ypbind update requires different config format for yp.conf
ypbind update requires different config format for yp.conf
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypbind (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
http://www.redhat.com/support/errata/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-31 11:01 EST by jon
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 12:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jon 2000-10-31 11:01:46 EST
The security update for ypbind changes the format of /etc/yp.conf in
incompatible ways.

My old yp.conf file, which also works on other Unix platforms, is:

ypserver ds2.gl.umbc.edu
ypserver irix1.gl.umbc.edu
ypserver irix2.gl.umbc.edu
domain slam


This no longer works.

My new file, which does work, is

domain slam server ds2.gl.umbc.edu
domain slam server irix1.gl.umbc.edu
domain slam server irix2.gl.umbc.edu


The only time the config file won't need to be changed is if the user only
uses broadcast mode, as far as I can tell.

The least the announcement should do is warn users of the configuration
change.

At best, it shouldn't change the file. ;-)
Comment 1 jon 2000-11-21 14:31:52 EST
This bug is three weeks old; all you guys have to do is release an updated
errata report, not release a new package. Can we have some action on this
please?
Comment 2 Alexander Larsson 2002-03-27 16:54:25 EST
It's far to late to change the errata message now, if we release any new errata
for 6.2 i'll mention it though.

Note You need to log in before you can comment on or make changes to this bug.